Bug 10258 - ssh/rsh output on screen
ssh/rsh output on screen
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rsh (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-20 05:26 EST by valerio filippini
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-20 05:26:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description valerio filippini 2000-03-20 05:26:14 EST
This problem happens with both "rsh" and "ssh".

Everything is fine if I log into another machine,
but if I specify in the command line also the command that has to
be executed at the remote host, for example:

ssh valerio@remote_host bin/my_prog

the program my_prog starts correctly,
but the its output comes on my screen
only when the number of written characters is greater
then a "magic" number around 6000.

When it is, all the output is flushed on the screen,
waiting then for another set of chars.


If the command:
bin/Stb_daq
is giving after the remote host prompt everything is fine.

Can someone give me any help?

Thank you for attention and collaboration

valerio filippini
Comment 1 Pekka Savola 2000-07-15 06:34:16 EDT
Couldn't replicate with either rsh (server version RH6.0, clients RH62, Rawhide)
or ssh (not shipped with Red Hat).

I suggest you try this from a really barebones file, like:
---
#!/bin/sh
echo blah
---

I suspect the program in question here is the problem.  In certain situations,
if it expects user input (but doesn't necessarily require it, e.g. lynx), TTY
must be allocated.  Try it with '-t' ssh and/or with rlogin.



Note You need to log in before you can comment on or make changes to this bug.